"""snapshot image tracking

Revision ID: 9f00d5debcfc
Revises: bbfe3299c4bf
Create Date: 2024-07-26 19:57:07.800600

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '9f00d5debcfc'
down_revision = 'bbfe3299c4bf'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('snapshot_image',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('image_hash', sa.String(), nullable=True),
    sa.Column('expires_at', sa.DateTime(), nullable=True),
    sa.Column('deletion_confirmed', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('snapshot_image')
    # ### end Alembic commands ###
